import { Injectable } from '@angular/core';
import { IMenuItem, MenuItem } from './header.model';

@Injectable()
export class HeaderService {
  getMenu(): IMenuItem[] {
    let menu: IMenuItem[] = [];
    menu.push(new MenuItem({name: 'Discover Knoks', translateKey: 'Discover Knoks', rout: 'discover', isActive: false, isVisible: true, disabled: false}));
    menu.push(new MenuItem({name: 'Discover People', translateKey: 'Discover People', rout: 'discover/people', isActive: false, isVisible: true, disabled: true}));
    menu.push(new MenuItem({name: 'Ongoing', translateKey: 'Ongoing', rout: 'ongoing', isActive: false, isVisible: true, disabled: false, subMenu: this.getOngoingMenu()}));
    /*menu.push(new MenuItem({name: 'History', translateKey: 'History', rout: 'history', isActive: false, isVisible: true, disabled: true})); // myknokshistory*/
    return menu;
  }

  getOngoingMenu(): IMenuItem[] {
    let menu: IMenuItem[] = [];
    menu.push(new MenuItem({name: 'Ongoing Knoks', translateKey: 'Ongoing Knoks', rout: 'ongoing/knoks', isActive: false, isVisible: true, disabled: false}));
    menu.push(new MenuItem({name: 'Recently Ended', translateKey: 'Recently Ended', rout: 'ongoing/ended', isActive: false, isVisible: true, disabled: false}));
    return menu;
  }

  getPublishedMenu(): IMenuItem[] {
    let menu: IMenuItem[] = [];
    menu.push(new MenuItem({name: 'Currently Published', translateKey: 'Currently Published', rout: 'published/currently', isActive: false, isVisible: true, disabled: false}));
    menu.push(new MenuItem({name: 'Past Published', translateKey: 'Past Published', rout: 'published/past', isActive: false, isVisible: true, disabled: false}));
    return menu;
  }
}
